Skip to content
Get started

Update

PUT/models/{modelId}/prompt-guide

Update the markdown prompt guide of the given modelId

Path ParametersExpand Collapse
modelId: string
Query ParametersExpand Collapse
projectId: optional string

The projectId used for ownership resource management. Either to assert ownership or to set the owner of the resource(s)

Body ParametersJSONExpand Collapse
promptGuide: string

The markdown prompt guide (ex: # Instructions\n...). Set to null to delete the prompt guide.

ReturnsExpand Collapse
promptGuide: object { value }
value: string

The markdown prompt guide used as the system prompt for Prompt Spark.

Instructions and baked-in examples both live in this single markdown document. No runtime templating is performed on it.

Update

curl https://api.cloud.scenario.com/v1/models/$MODEL_ID/prompt-guide \
    -X PUT \
    -H 'Content-Type: application/json' \
    -u "$SCENARIO_SDK_API_KEY:SCENARIO_SDK_API_SECRET" \
    -d '{
          "promptGuide": "promptGuide"
        }'
{
  "promptGuide": {
    "value": "value"
  }
}
Returns Examples
{
  "promptGuide": {
    "value": "value"
  }
}